From 4a78104787a63eaec395ef43cd9a478d9f347853 Mon Sep 17 00:00:00 2001
From: Tomas Plesnik <plesnik@ics.muni.cz>
Date: Thu, 13 Dec 2012 13:46:09 +0100
Subject: [PATCH] uprava generovani konfiguracnich souboru

---
 src/warden-server/sh/update.sh | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

diff --git a/src/warden-server/sh/update.sh b/src/warden-server/sh/update.sh
index 0ef01fa..bc0810e 100755
--- a/src/warden-server/sh/update.sh
+++ b/src/warden-server/sh/update.sh
@@ -203,8 +203,7 @@ $perl_switches
         SetHandler perl-script
         PerlHandler Warden::ApacheDispatch
         SSLOptions +StdEnvVars
-</Location>
-" > $apache_conf_file 2> $err; ret_val=`echo $?`
+</Location>" > $apache_conf_file 2> $err; ret_val=`echo $?`
 
 	if [ $ret_val -eq 0 ]; then
 		echo "OK"
@@ -243,8 +242,7 @@ $ssl_cert_file
 #-------------------------------------------------------------------------------
 # SSL_CA_FILE - path to CA certificate file
 #-------------------------------------------------------------------------------
-$ssl_ca_file
-" > $client_conf_file 2> $err; ret_val=`echo $?`
+$ssl_ca_file" > $client_conf_file 2> $err; ret_val=`echo $?`
 
         if [ $ret_val -eq 0 ]; then
                 echo "OK"
@@ -269,7 +267,7 @@ $ssl_ca_file
         if [ -z "$syslog_facility" ]; then
                 syslog_facility=`cat $server_conf_file | grep '$FACILITY'`
         else
-                syslog_facility='$SYSLOG_FACILITY = local7;'
+                syslog_facility='$SYSLOG_FACILITY = "local7";'
         fi
         db_name=`cat $server_conf_file | grep '$DB_NAME'`
         db_user=`cat $server_conf_file | grep '$DB_USER'`
@@ -281,9 +279,9 @@ $ssl_ca_file
         fi
         valid_strings=`cat $server_conf_file | grep -A 3 '%VALID_STRINGS'`
         if [ -z "$valid_strings" ]; then
-                valid_strings="\%VALID_STRINGS = (
-  \'type\'        => [\'portscan\', \'bruteforce\', \'probe\', \'spam\', \'phishing\', \'botnet_c_c\', \'dos\', \'malware\', \'copyright\', \'webattack\', \'test\', \'other\'],
-  \'source_type\' => [\'IP\', \'URL\', \'Reply-To:\']
+                valid_strings="%VALID_STRINGS = (
+  \"type\"        => [\"portscan\", \"bruteforce\", \"probe\", \"spam\", \"phishing\", \"botnet_c_c\", \"dos\", \"malware\", \"copyright\", \"webattack\", \"test\", \"other\"],
+  \"source_type\" => [\"IP\", \"URL\", \"Reply-To:\"]
 );"
         fi
 
@@ -340,8 +338,7 @@ $max_events_limit
 #-------------------------------------------------------------------------------
 # VALID_STRINGS - validation hash containing allowed event attributes
 #-------------------------------------------------------------------------------
-$valid_strings
-" > $server_conf_file 2> $err; ret_val=`echo $?`
+$valid_strings" > $server_conf_file 2> $err; ret_val=`echo $?`
 
         if [ $ret_val -eq 0 ]; then
                 echo "OK"
-- 
GitLab